Loading...
Searching...
No Matches
caf::policy::downstream_messages::nested Class Reference

Configures a nested DRR queue. More...

`#include <downstream_messages.hpp>`

## Public Types

using | mapped_type = mailbox_element
using | task_size_type = size_t
using | deficit_type = size_t
using | unique_pointer = mailbox_element_ptr
using | handler_type = std::unique_ptr<inbound_path>

## Public Member Functions

template<class T>
| nested (T &&x)
| nested (nested &&)=default
nested & | operator= (nested &&)=default
| nested (const nested &)=delete
nested & | operator= (const nested &)=delete

## Static Public Member Functions

static task_size_type | task_size (const mailbox_element &x) noexcept

## Public Attributes

handler_type | handler

## Detailed Description

Configures a nested DRR queue.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/policy/downstream_messages.hpp